using System;
using System.Collections;
using Server;
using Knives.Utils;

namespace Knives.Chat3
{
    public class Staff : Channel
    {
        public static void Initialize()
        {
            new Staff();
        }

        public Staff() : base("Staff")
        {
            Commands.Add("staff");
            Commands.Add("st");
            DefaultC = 0x26;

            Register(this);
        }

        public override bool CanChat(Mobile m, bool say)
        {
            if (m.AccessLevel == AccessLevel.Player)
            {
                if (say) m.SendMessage(Data.GetData(m).SystemC, General.Local(191));
                return false;
            }

            return base.CanChat(m, say);
        }
    }
}